---
updatedAt: 2025-09-16T14:26:53.000Z
agentTools:
  projectIndex: https://confermapay.readme.io/llms.txt
---

# ResponseStatusCodes

# Response Status Codes

The following statuses could be returned from the various REST API endpoints:

## 200 - Status OK

Response body depends on the requested resource

## 400 - Validation Errors

One or more validation errors may be returned.

```
{
  "type": "https://tools.ietf.org/html/rfc9110#section-15.5.1",
  "title": "One or more validation errors occurred.",
  "status": 400,
  "errors": {
    "<Model Property>": [
      "<List of validation errors>"
    ]
  },
  "traceId": ""
}
```

## 401 - Unauthorised

There is no response body

## 403 - Unauthenticated

There is no response body

## 404 - Resource not found

```
{
  "correlationID": "2d980fb8-79f4-4bc2-8630-c20a02a2106b",
  "errorcode": "ERRNotFound",
  "message": "Record Not Found"
}
```

## 405 - Method Not Allowed

Returned when attempting to perform a `POST` to an endpoint expecting a `GET` for example.

## 500 - Unexpected Error

Errors will have a `Correlation ID`. This can be used when reporting errors to help our team diagnose the issue.

```
{
  "correlationID": "466c0a8b-4610-4e13-b9c1-f87464ec457f",
  "errorcode": "ERRGeneric",
  "message": "Unexpected Error"
}
```